Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.security
Interface SSORealm

All Known Implementing Classes:
  HashSSORealm, HashUserRealm, JDBCUserRealm, SSOJAASUserRealm

    public interface SSORealm

Single Sign On Realm. This interface is a mix-in interface for the UserRealm interface. If an implementation of UserRealm also implements SSORealm, then single signon is supported for that realm.

Author:
  Greg Wilkins (gregw)
See Also:
  `UserRealm`

Method Summary
`void` | `clearSingleSignOn(java.lang.String username)` Clear SSO for user.
`Credential` | `getSingleSignOn(Request request, Response response)` Get SSO credentials.
`void` | `setSingleSignOn(Request request, Response response, java.security.Principal principal, Credential credential)` Set SSO principal and credential.

Method Detail

### getSingleSignOn

    Credential getSingleSignOn(Request request,
                               Response response)

  Get SSO credentials. This call is used by an authenticator to check if a SSO exists for a request. If SSO authentiation is successful, the requests UserPrincipal and AuthUser fields are set. If available, the credential used to authenticate the user is returned. If recoverable credentials are not required then null may be return.

  Parameters:
    `request` - The request to SSO.
    `response` - The response to SSO.
  Returns:
    A credential if available for SSO authenticated requests.

### setSingleSignOn

    void setSingleSignOn(Request request,
                         Response response,
                         java.security.Principal principal,
                         Credential credential)

  Set SSO principal and credential. This call is used by an authenticator to inform the SSO mechanism that a user has signed on. The SSO mechanism should record the principal and credential and update the response with any cookies etc. required.

  Parameters:
    `request` - The authenticated request.
    `response` - The authenticated response/
    `principal` - The principal that has been authenticated.
    `credential` - The credentials used to authenticate.

### clearSingleSignOn

    void clearSingleSignOn(java.lang.String username)

  Clear SSO for user.

  Parameters:
    `username` - The user to clear.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.